VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::health::Softwarepackages Interface Reference

`Softwarepackages` interface provides methods Get information on available software updates available in remote VUM repository. More...

Inherited by vmware::appliance::health::SoftwarepackagesStub.

List of all members.

## Public Member Functions
vmware.appliance.health.SoftwarepackagesTypes.HealthLevel | Get ()
| Get information on available software updates available in remote VUM repository.
vmware.appliance.health.SoftwarepackagesTypes.HealthLevel | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get information on available software updates available in remote VUM repository.
global::System.Threading.Tasks.Task < vmware.appliance.health.SoftwarepackagesTypes.HealthLevel > | GetAsync ()
| Get information on available software updates available in remote VUM repository.
global::System.Threading.Tasks.Task < vmware.appliance.health.SoftwarepackagesTypes.HealthLevel > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get information on available software updates available in remote VUM repository.

## Detailed Description

`Softwarepackages` interface provides methods Get information on available software updates available in remote VUM repository.

## Member Function Documentation

vmware.appliance.health.SoftwarepackagesTypes.HealthLevel vmware::appliance::health::Softwarepackages::Get | ( |  | ) |

Get information on available software updates available in remote VUM repository.

red indicates that security updates are available. orange indicates that non security updates are available. green indicates that there are no updates available. gray indicates that there was an error retreiving information on software updates.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  software updates available.

Implemented in vmware::appliance::health::SoftwarepackagesStub.

vmware.appliance.health.SoftwarepackagesTypes.HealthLevel vmware::appliance::health::Softwarepackages::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get information on available software updates available in remote VUM repository.

red indicates that security updates are available. orange indicates that non security updates are available. green indicates that there are no updates available. gray indicates that there was an error retreiving information on software updates.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  software updates available.

Implemented in vmware::appliance::health::SoftwarepackagesStub.

global::System.Threading.Tasks.Task<vmware.appliance.health.SoftwarepackagesTypes.HealthLevel> vmware::appliance::health::Softwarepackages::GetAsync | ( |  | ) |

Get information on available software updates available in remote VUM repository.

red indicates that security updates are available. orange indicates that non security updates are available. green indicates that there are no updates available. gray indicates that there was an error retreiving information on software updates.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  software updates available.

Implemented in vmware::appliance::health::SoftwarepackagesStub.

global::System.Threading.Tasks.Task<vmware.appliance.health.SoftwarepackagesTypes.HealthLevel> vmware::appliance::health::Softwarepackages::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get information on available software updates available in remote VUM repository.

red indicates that security updates are available. orange indicates that non security updates are available. green indicates that there are no updates available. gray indicates that there was an error retreiving information on software updates.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  software updates available.

Implemented in vmware::appliance::health::SoftwarepackagesStub.

The documentation for this interface was generated from the following file:

- Softwarepackages.cs